Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000450 [Piwigo] albums minor always 2006.07.05 15:03 2006.07.06 04:42
Reporter georgk View Status public  
Assigned To rvelices
Priority normal Resolution fixed Platform
Status closed   OS Gentoo Linux 2.6.16
Projection none   OS Version
ETA none Fixed in Version 1.6.1 Product Version 1.6.0
  Target Version Product Build
Summary 0000450: No upload link in menu
Description No link is provided to upload new images.
This is tested with a clean install of PWG 1.6.0. One category is added and the permissions is set to rw for all for that directory. Upload is granted for the category.
Steps To Reproduce Tested with a clean install. After mysql database is created and configuration is done.

1. create a new directory galleries/incoming
2. set the permissions to rw far all (ugo)
3. synchronize the database, the new category is found and added to db
4. authorize 'incoming' for upload
5. Synchronize again. (not needed?)

No link is found in the left menu to upload new images.
This problem is reproduceable. I also tried to set the newcat_default_uploadable=true. This made new categories to have the upload feature enabled by default but still no upload link was found.
Also tested to reinstall database/PWG.
Additional Information Gallery can (currently) be found at:
http://www.kullgren.org/WebGallery [^]
with administrative user:
Username: test
Password: test

Tags No tags attached.
browser Mozilla
Database engine and version 4.1.19
PHP version 5.1.4
Web server Apache 2.0.55
Attached Files

- Relationships
has duplicate 0000464closed ajouter une photo 
has duplicate 0000467closed Ajout d'images dans une cat├ęgorie 

-  Notes
(0001167)
georgk (reporter)
2006.07.05 18:47

Upload works in 1.5.2. I have now both 1.5.2 and 1.6.0 installed on the same server. With 1.5.2 I get the 'Upload a picture' option but not when I try the same thing in 1.6.0. The 1.5.2 version is installed in:
https://www.kullgren.org/phpwebgallery-1.5.2 [^] (same username/password)
(0001169)
rvelices (developer)
2006.07.06 04:42

fix in 1.6 [Subversion] r1435 and reported to branch [Subversion] r1436

- Issue History
Date Modified Username Field Change
2006.07.05 15:03 georgk New Issue
2006.07.05 15:03 georgk browser => Mozilla
2006.07.05 15:03 georgk MySQL version => 4.1.19
2006.07.05 15:03 georgk PHP version => 5.1.4
2006.07.05 15:03 georgk Web server => Apache 2.0.55
2006.07.05 18:12 georgk Issue Monitored: georgk
2006.07.05 18:47 georgk Note Added: 0001167
2006.07.06 04:42 rvelices Note Added: 0001169
2006.07.06 04:42 rvelices Assigned To => rvelices
2006.07.06 04:42 rvelices Status new => closed
2006.07.06 04:42 rvelices Resolution open => fixed
2006.07.06 04:42 rvelices Fixed in Version => 1.6.1
2006.07.10 21:46 rvelices Relationship added has duplicate 0000464
2006.07.12 15:37 plg Relationship added has duplicate 0000467


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker